@font-face {
  font-family: logoFont;
  src: url(../fonts/etna-free-font.ttf);
}

@font-face {
  font-family: info-type;
  src: url(../fonts/Poppins-Regular.ttf);
}

html {
  scroll-behavior: smooth;
  /* scroll-snap-type: y mandatory; */
}

:root {
  --primary-surface: #080b07;
  --light-surface: #ffffff;
  --on-light-surface: #080b07;
  --on-primary-surface: #ffffff;
}

/* Estilos base para el body para asegurar que la animación ocupe la pantalla */
body {
  margin: 0;
  background-color: var(--primary-surface);
  text-rendering: geometricPrecision;
  font-weight: 100;
  color: #f0f0f0;
}

nav {
  position: fixed;
  top: 0px;
  width: 100%;
  height: 70;
  border-bottom: 1px solid #fff3;
  background-color: #0003;
  backdrop-filter: blur(24px);
  z-index: 10;
}

nav ul {
  margin: 0px 0px;
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  height: 70px;
  padding: 0px;
}

nav ul li a {
  color: white;
  padding: 10px 20px;
  border-radius: 50px;
  transition: 250ms;
}

nav ul li a:hover {
  color: white;
  background-color: rgba(255, 255, 255, 0.164);
  backdrop-filter: blur(24px);
  transition: 250ms;
}

h1,
h2,
h3,
h4,
h5,
h6,
.slogan,
.workflow-titles,
footer {
  font-family: logoFont;
}

p,
ul {
  font-family: info-type;
}

a {
  text-decoration: none;
}

.header-content {
  position: relative;
  z-index: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow: hidden;
  justify-content: flex-start;
  height: 100vh;
  text-align: center;
  background-image: url(../svg/bottle.svg);
  background-size: auto 128px;
  background-repeat: repeat;
  animation-name: MOVE-BG;
  animation-duration: 20s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

@keyframes MOVE-BG {
  from {
    background-position: 10% 0%;
  }

  to {
    background-position: 0% 0%;
  }
}

.back-latas {
  position: absolute;
  top: 0px;
  left: 0px;
  height: 100vh;
  width: 100%;
  background-image: url(../svg/lata.svg);
  background-size: auto 128px;
  background-repeat: repeat;
  animation-name: MOVE-BG-LATA;
  animation-duration: 20s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

@keyframes MOVE-BG-LATA {
  from {
    background-position: 0% 0%;
  }

  to {
    background-position: 10% 0%;
  }
}

.header-content h1 {
  transform: skewX(-10deg);
  font-size: 16vw;
  margin-bottom: 30px;
}

.slogan {
  font-size: 3vw;
  z-index: 2;
}

.header-content p {
  font-size: 1.2em;
  margin-bottom: 30px;
  max-width: 600px;
  color: #e0e0e0;
}

.header-content {
  /* Botón verde principal */
  /* Texto oscuro en el botón */
  border: none;
  border-radius: 5px;
  /* cursor: pointer; */
  font-size: 1.1em;
  text-decoration: none;
  scroll-snap-align: center;
}

section {
  height: 100vh;
  width: 100%;
  scroll-snap-align: center;
}

.img-shadow {
  border-radius: 4px;
  box-shadow: 4px 4px 4px rgba(128, 128, 128, 0.2);
}

.row-content {
  display: flex;
  flex-direction: row;
}

.row-content h2 {
  font-size: 4em;
}

.row-reverse {
  flex-direction: row-reverse;
}

.dark-content,
.light-content {
  height: 100vh;
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.light-content {
  background-color: var(--light-surface);
  color: var(--on-light-surface);
}

.info-content {
  max-width: 80%;
}

.material-flex {
  max-width: 80%;
  height: 64px;
  align-items: flex-end;
  flex-direction: row;
  justify-content: space-around;
  display: flex;
  align-items: flex-end;
  margin: 20px 0px 40px 0px;
}

.material-lata {
  align-items: flex-end;
}

.material-bottle {
  align-items: flex-start;
}

.workflow-section {
  height: auto;
}

.workflow-titles {
  list-style: none;
  font-size: 4rem;
  transition: 250ms;
}

.workflow-links {
  color: rgba(255, 255, 255, 0.5);
  transition: 250ms;
}

.workflow-links:hover {
  color: var(--on-primary-surface);
}

.sticky-titles {
  position: sticky;
  top: 0px;
}

.workflow-content {
  height: auto;
  justify-content: flex-start;
  /* background-color: tomato; */

}

.workflow-content .info-content {
  min-height: 100vh;
  justify-content: center;
  display: flex;
  flex-direction: column;
}

.highlights {
  color: var(--on-primary-surface);
  transition: 250ms;
}

.final-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: var(--on-light-surface);
}

.final-content-card {
  border-radius: 8px;
  width: 100%;
  max-width: 1000px;
  display: flex;
  flex-direction: column;
  background-color: white;
  padding: 20px;
  align-items: center;
  text-align: center;
}

.final-content-card-title {
  font-size: 1.5rem;
  font-family: info-type;
}

.call-to-action {
  display: flex;
  justify-content: center;
  max-width: 300px;
  padding: 10px 20px;
  font-family: info-type;
  border-radius: 25px;
  text-align: center;
  font-weight: bold;
  border: none;
  background: linear-gradient(-45deg, #FFA63D, #FF3D77, #338AFF, #3CF0C5);
  background-size: 600%;
  animation: animation-cta 16s linear infinite;
  color: white;
  margin: 40px;
  z-index: 20;
  box-shadow: 0px 10px 10px 0px #0e422263;
}

.call-to-action:hover {
  box-shadow: 0px 5px 10px 0px #0e42228a;
}

@keyframes animation-cta {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

footer {
  padding-bottom: 20px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.164);
  ;
  margin: 40px;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

iframe {
  border: none;
}

.burger {
  display: none;
  position: fixed;
  top: 30px;
  right: 30px;
  height: 30px;
  width: 30px;
  flex-direction: column;
  justify-content: center;
  z-index: 11;
  transition: ease-out 400ms;

}

.line-top,
.line-center,
.line-bottom {
  height: 4px;
  width: 30px;
  margin: 2px 0px;
  background-color: gray;
  transition: ease-out 400ms;
}

@media screen and (max-width: 500px) {
  .row-content {
    flex-direction: column;
  }

  .dark-content,
  .light-content {
    width: 100%;
    height: auto;
    flex-direction: column;
  }

  .row-content h2 {
    font-size: 2em;
  }

  .workflow-links {
    font-size: 2rem;
    display: none;

  }

  .highlights {
    display: block;
    color: black;
  }

  nav {
    height: 980vh;
    padding-top: 100px;
    /* display: none; */
    top: 0px;
    left: -500px;
    transition: ease-in 250ms;

  }

  nav ul {
    flex-direction: column;
    justify-content: start;

  }

  nav ul li a {
    font-size: 2rem;
  }

  .burger {
    display: flex;
  }

  .open-menu {
    /* display: flex; */
    left: 0px;

  }

  .line-top-rotate {
    transition: ease-in 400ms;
    position: absolute;
    top: 10px;
    transform: rotate(45deg);
  }

  .line-bottom-rotate {
    transition: ease-in 400ms;
    position: absolute;
    top: 10px;
    transform: rotate(-45deg);
  }

  .final-content-card{
    width: 80%;
  }
  .final-content{
    height: auto;
    padding: 60px 0px;
  }

}